Bug 143656 - net/freeradius2: Latest FreeRADIUS 2.1.8 segfaults when rlm_perl in used
Summary: net/freeradius2: Latest FreeRADIUS 2.1.8 segfaults when rlm_perl in used
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-08 01:20 UTC by Michael A. Revenko
Modified: 2010-02-22 14:50 UTC (History)
0 users

See Also:


Attachments
file.diff (634 bytes, patch)
2010-02-08 01:20 UTC, Michael A. Revenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael A. Revenko 2010-02-08 01:20:01 UTC
When net/freeradius2 is built with perl support and rlm_perl module is used raduisd crashes with segfault

Fix: add next patch for freeradius2 port

Patch attached with submission follows:
Comment 1 Pav Lucistnik freebsd_committer 2010-02-12 10:24:48 UTC
Dear maintainer of FreeBSD port net/freeradius2, can you please take a
look at

  http://www.freebsd.org/cgi/query-pr.cgi?pr=143656

And approve/reject the proposed patch?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Traffic collapse in Paris starts whenever a traffic light changes color.
  -- JLE at #angband
Comment 2 Pav Lucistnik freebsd_committer 2010-02-12 10:24:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->feedback

Asked for maintainer's approval
Comment 3 Pav Lucistnik freebsd_committer 2010-02-12 10:26:44 UTC
State Changed
From-To: open->feedback
Comment 4 Pav Lucistnik freebsd_committer 2010-02-12 10:26:44 UTC
Responsible Changed
From-To: feedback->freebsd-ports-bugs

Uh-oh
Comment 5 Wesley Shields freebsd_committer 2010-02-14 17:24:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 6 dfilter service freebsd_committer 2010-02-22 14:46:51 UTC
wxs         2010-02-22 14:46:37 UTC

  FreeBSD ports repository

  Modified files:
    net/freeradius2      Makefile 
  Log:
  - Fix libtool problem when using perl option. See ports/143487 for information.
  
  PR:             ports/143487, ports/143656, ports/143493, ports/138445
  Submitted by:   Ryan Steinmetz <rpsfa@rit.edu>
  Approved by:    maintainer timeout
  Feature safe:   yes
  
  Revision  Changes    Path
  1.82      +3 -0      ports/net/freeradius2/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wesley Shields freebsd_committer 2010-02-22 14:47:23 UTC
State Changed
From-To: feedback->closed

Committed the patch in ports/143487. Thanks!